<div *blockUI="blockUIName;  template: blockTemplate" class="custom-bg-block-ui">
    <div id="flow_container" [hidden]="!flow_child.is_expand" class="row mb-1 ml-0 mr-0 flow_container"
         (scroll)="onScroll($event)">
        <div class="col-sm-12 p-0 hide_pivot_grid_discount_behavior">
            <!--<div class="ml-1" *ngIf="datamanager.showPivotctrls">
                <button class="btn p-1" [disabled]="no_data_found"
                        placement="bottom" container="body" ngbTooltip="Save"
                        (click)="pivotSaveHandler()">
                    <i class="las la-save f-20 custom-mouseover"></i></button>
            </div>
            <div class="ml-1" *ngIf="datamanager.showPivotctrls">
                <button class="btn p-1" [disabled]="no_data_found"
                        placement="bottom" container="body" ngbTooltip="Add / Manage calculated fields"
                        (click)="addCalculatedFieldDialog()">
                    <i class="las la-calculator f-20 custom-mouseover"></i></button>
            </div>-->
            <div class="card card-shadow flow-entity-popup border-radius-10" style="min-height: 487px;">
                <div class="card-body p-0" [hidden]="no_data_found"
                     [ngClass]="(viewFilterdata.length >0  || custom_report_filters.length>0) ? 'e-height': 'n-height'">
                    <fm-pivot #flowpivotcontainer [width]="'100%'"
                              [ngClass]="is_fullscreen_view ?'pivot_filter_fullscreen':'pivot_filter '" [toolbar]="true"
                              [licenseKey]="'Z7TE-102510-6Z0345-61393B-585P5Q-3X053C-5F5P3O-1B2038-6T164M-6F1V6W-0K61'"
                              (beforetoolbarcreated)="customTableToolbar($event)"
                              (update)="onReportChange($event)"
                              (dataerror)="isDataError($event)"
                              (dataloaded)="isDataLoaded($event)"
                              [customizeContextMenu]="customizeFlexmonsterContextMenu.bind(this)"
                              [customizeCell]="customizeCellFunction.bind(this)">
                    </fm-pivot>
                </div>
                <!-- If no data found -->
                <div *ngIf="no_data_found === true" class="text-center nodata">
                    <span class="f-18 text-gray77">No data found</span>
                </div>

            </div>
        </div>
        <div class="col-sm-12 p-0">
            <div id="{{flowchart_id}}" class="hc_div default-chart-color p-0 col-sm-12"
                 style="display: flex; align-items: center;place-content: center">
            </div>
            <!--  <div *ngIf="no_data_found === true" class="text-center">
                  <flow-error></flow-error>
              </div>-->
        </div>

    </div>
</div>


<!-- end edit model -->
<ng-template #blockTemplate>
    <div class="block-ui-template custom-bg-block-ui mb-3">
        <div class="app-splash-screen ">
            <div class="new-app-splash-screen-content text-center">
                <!-- <img src="../../assets/img/card-hx-loader.svg" class="card-loader-svg"> -->
                <svg class="entityLoader" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
                     style="margin: auto; background: transparent none repeat scroll 0% 0%; display: block;"
                     viewBox="0 0 100 100" preserveAspectRatio="xMidYMid">
                    <circle cx="27.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.6s"></animate>
                    </circle>
                    <circle cx="42.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s"
                                 begin="-0.44999999999999996s">
                        </animate>
                    </circle>
                    <circle cx="57.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.3s"></animate>
                    </circle>
                    <circle cx="72.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.15s"></animate>
                    </circle>
                </svg>
                <span class="loading-text-material">
                </span>
            </div>
        </div>
    </div>
</ng-template>
